import { Matrix4 } from "three";
import { AlignedDimension } from "../../DatabaseServices/Dimension/AlignedDimension";
import { Board } from "../../DatabaseServices/Entity/Board";
import { Entity } from "../../DatabaseServices/Entity/Entity";
import { Command } from "../../Editor/CommandMachine";
import { IConfigOption } from "../../UI/Components/Board/UserConfig";
import { IConfigStore } from "../../UI/Store/BoardStore";
export declare class Command_AutoDimBrs implements Command {
    maxThickness: number;
    store: AutoDimBrsStore;
    exec(): Promise<void>;
    /**
     * 绘制标注
     * @param brs
     * @param drawCS 绘制标注的坐标系
     */
    DrawDim(brs: Board[], drawCS: Matrix4, textRotation?: number, needJig?: boolean, useMaxZ?: boolean, isLeadOutFlipped?: boolean): AlignedDimension[];
    /**
     *获取Board[]内所有板件 包括复合实体内的板件
     *
     * @param {Entity[]} oldBoard
     * @return {*}  {Board[]}
     * @memberof Command_AutoDimBrs
     */
    backBoards(oldBoard: Entity[]): Board[];
}
declare class AutoDimBrsStore implements IConfigStore {
    configName: string;
    configsNames: string[];
    config: {
        option: {
            dimType: number;
        };
    };
    InitOption(): void;
    SaveConfig(): {
        option: {
            dimType: number;
        };
    };
    UpdateOption(conf: IConfigOption<any>): void;
}
export {};
//# sourceMappingURL=AutoDimBrs.d.ts.map