import { Vector3 } from "three";
import { CylinderHole } from "../../DatabaseServices/3DSolid/CylinderHole";
import { Board } from "../../DatabaseServices/Entity/Board";
import { IHardwareType } from "../../Production/Product";
export interface ICountType<T = IHardwareType> {
    name?: string;
    count: number;
    entity?: T;
    count2?: number | string;
    unit?: string;
    length?: number;
}
export declare type GetCountOption = {
    sealGruopKey: (key: string, block: Board, size: number) => void;
    getHoles?: (name: string, hole: CylinderHole) => void;
};
declare class LookOverBoardInfosTool {
    private drillTypeMap;
    private sealMap;
    private boardMap;
    GetCount(brs: (Board | IHardwareType)[], options?: GetCountOption): {
        drillCount: ICountType<IHardwareType>[];
        hardwareCount: ICountType<IHardwareType>[];
        sealCount: ICountType<IHardwareType>[];
        areaCount: ICountType<Board>[];
    };
    private Update;
    ParseSpec(en: IHardwareType | Vector3, spec: string, len?: number): string;
    ParseHardwareCount(k: string, v: IHardwareType[], hardwareCount: ICountType[]): void;
    private UpdateBoardMap;
    GetBoardThickness(br: Board): string;
    GetBoardsArea(brs: Board[]): string;
}
export declare const lookOverBoardInfosTool: LookOverBoardInfosTool;
export {};
//# sourceMappingURL=LookOverBoardInfosTool.d.ts.map