import { CADFiler } from "../../../../CADFiler";
import { CADObject } from "../../../../CADObject";
import { ObjectId } from "../../../../ObjectId";
import { RoomBase } from "../../RoomBase";
import { RoomWallBase } from "../RoomWallBase";
/**
 * 墙上的洞
 *
 * 这个类接管了墙上的洞的绘制,以便可以直接在视图上操作这个洞(选择到洞,并且拖动) 但是同时我们也需要拿到原始墙的信息,保持材质(或者白墙? 独立材质?)
 */
export declare class RoomHoleBase extends RoomBase {
    RelevancyWalls: ObjectId<RoomWallBase>[];
    protected _Height: number;
    constructor();
    get Height(): number;
    set Height(value: number);
    protected _ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
    ApplyPartialUndo(undoData: CADObject): void;
}
//# sourceMappingURL=RoomHoleBase.d.ts.map