import { Vector3, WebGLRenderer } from "three";
import { CADFiler } from "../../api";
import { Entity } from "../Entity/Entity";
/**
 * 更新视口实体的时机:
 *  ->在布局状态下才应该更新,否则则标记为需要更新(或者不需要标记)
 *  ->在缩放相机时,标记所有的需要更新(异步更新任务)(优先更新可见视口)
 *  ->切换到布局时,更新全部视口(使用更新任务)
 */
export declare class ViewportEntity2 extends Entity {
    private _Width;
    private _Height;
    static Renderer: WebGLRenderer;
    OnlyRenderType: boolean;
    private _RenderType;
    private _DisplayEntitys;
    private _CameraData;
    constructor(_Width?: number, _Height?: number);
    SetSize(width: number, height: number): void;
    AppendEntity(ens: Iterable<Entity>): void;
    _Target: Vector3;
    Destroy(): void;
    protected _ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=ViewportEntity2.d.ts.map