import { Box2, Object3D, Vector2, Vector3 } from 'three';
import { IViewer } from '../GraphicsSystem/IView';
import { SelectSetBase } from './SelectBase';
export declare enum SelectType {
    None = 0,
    C = 1,
    W = 2
}
/**
 * 矩形选区
 * 如果图形无法选择,那么注意该图形是否调用计算图形的包围球.
 */
export declare class SelectBox extends SelectSetBase {
    private _SelectBox;
    private _BoxCheck;
    _SelectType: SelectType;
    _bIsPerCamera: boolean;
    constructor(view: IViewer, p1: Vector2, p2: Vector2, selectType?: SelectType);
    get SelectBox(): Box2;
    CheckSelectTraverse(obj: Object3D): boolean;
    private CheckSelectC;
    private CheckSelectW;
    IntersectLine(p1Screen: Vector3, p2Screen: Vector3): boolean;
    /**
     * 包含该对象. 采用所有点都在选区内的做法
     */
    ContainerObject(obj: Object3D): 1 | -1;
    ContainsPoint(ptWcs: Vector3): boolean;
}
//# sourceMappingURL=SelectBox.d.ts.map