import { Poly3 } from "@jscad/modeling/src/geometries/types";
import { Vector3 } from "three";
import { Geom3Res } from "../Common/CSGIntersect";
/**
 * 解决 THREEBSP(CSG) 产生的结果没有办法得到分裂的个数.
 * 本类分析了THREEBSP的组合情况.
 *
 * Example:
 *
 * let topology = new BSPGroupParse(csg);
 * topology.parse();
 */
export declare class BSPGroupParse {
    fractionDigits: number;
    constructor(bsp?: Geom3Res, fractionDigits?: number);
    Add(poly: Poly3): void;
    /**
     * 返回组合点
     */
    Parse(): Vector3[][];
    private map;
    private Get;
    private GetPts;
    private vecMap;
    private GenerateP;
}
//# sourceMappingURL=BSPGroupParse.d.ts.map