import { Vector3 } from "three";
/**
 * 轨道控制的数学类,观察向量和角度的互相转换
 * 当x当抬头或者低头到90度时,触发万向锁.
 */
export declare class Orbit {
    private phi;
    theta: number;
    get RoX(): number;
    set RoX(v: number);
    /**
     * 使用旋转角度 计算观察向量
     * @param [outDirection] 引用传入,如果传入,那么就不构造新的向量
     * @returns 返回观察向量
     */
    UpdateDirection(outDirection?: Vector3): Vector3;
    /**
     * 使用观察向量,计算旋转角度
     * @param dir 这个向量会被修改成单位向量.
     */
    SetFromDirection(dir: Vector3): void;
    /**
     * 参考任意轴坐标系算法.
     * http://help.autodesk.com/view/ACD/2017/CHS/?guid=GUID-E19E5B42-0CC7-4EBA-B29F-5E1D595149EE
     */
    static ComputUpDirection(n: Vector3, ay?: Vector3, ax?: Vector3): Vector3;
}
//# sourceMappingURL=Orbit.d.ts.map