import { Object3D, Vector3 } from "three";
export declare enum CursorMode {
    None = 0,
    GetEntity = 1,
    GetPoint = 2,
    Cross = 3
}
/**
 * 在前视图中显示的光标
 */
export declare class Cursor {
    /**
     * 光标的绘制对象
     */
    CursorObject: Object3D;
    /**
     * 方向框大小
     */
    private _SquareSize;
    /**
     * 延伸线长度
     */
    private _LineLength;
    private _3DLineLength;
    private _SquareObject;
    private _OutsideCrossLineObject;
    private _CrossLineObject;
    private _threeDLine;
    private _Mode;
    private _isTheeeDMode;
    constructor();
    get IsThreeMode(): boolean;
    set IsThreeMode(bool: boolean);
    set Mode(mode: CursorMode);
    get LineLength2D(): number;
    set LineLength2D(l: number);
    set LineLength3D(l: number);
    UpdateCursor(): void;
    set Position(ptView: Vector3);
    /**
     * 设置选择框的大小
     */
    set SquareSize(size: number);
    get SquareSize(): number;
    set CrossLineLength(length: number);
    get CrossLineLength(): number;
    UpdateEvent(): void;
    Update3DLine(): void;
    private SquarePts;
    private OutsideLinePts;
    private CrossLinePts;
    private CreateCross3DLine;
    set Color(n: number);
}
//# sourceMappingURL=Cursor.d.ts.map