import { EBoardKeyList } from "../../Common/BoardKeyList";
import { ComposingType, FaceDirection, IBaseOption, LinesType } from "./BoardInterface";
export declare const DRILL_KEYS: string[];
export interface IBoardFindOption extends IBaseOption {
    condition: IFindCondition;
    compareType: ICompareType;
    tolerance: ITolerance;
    layer: string;
    [EBoardKeyList.Height]: string;
    [EBoardKeyList.Width]: string;
    [EBoardKeyList.Thick]: string;
    [EBoardKeyList.RoomName]: string;
    [EBoardKeyList.CabinetName]: string;
    brName: string;
    [EBoardKeyList.BrMat]: string;
    [EBoardKeyList.Mat]: string;
    [EBoardKeyList.Color]: string;
    [EBoardKeyList.Lines]: LinesType;
    [EBoardKeyList.BigHole]: FaceDirection;
    [EBoardKeyList.DrillType]: string;
    [EBoardKeyList.ComposingFace]: ComposingType;
    [EBoardKeyList.UpSealed]: string;
    [EBoardKeyList.DownSealed]: string;
    [EBoardKeyList.LeftSealed]: string;
    [EBoardKeyList.RightSealed]: string;
    highDrill: string[];
    upDownDrill: [boolean, boolean];
    isClose: boolean;
    remarks: [string, string][];
    isChaidan: boolean;
    [EBoardKeyList.KnifeRad]: string;
}
export interface IFindCondition {
    layer: boolean;
    [EBoardKeyList.Height]: boolean;
    [EBoardKeyList.Width]: boolean;
    [EBoardKeyList.Thick]: boolean;
    useWood: boolean;
    useDrill: boolean;
    useNail: boolean;
    useDoor: boolean;
    useDim: boolean;
    useSpecial: boolean;
    useModeling: boolean;
    [EBoardKeyList.RoomName]: boolean;
    [EBoardKeyList.CabinetName]: boolean;
    brName: boolean;
    [EBoardKeyList.Mat]: boolean;
    [EBoardKeyList.Lines]: boolean;
    [EBoardKeyList.BigHole]: boolean;
    [EBoardKeyList.DrillType]: boolean;
    useKeyWord: boolean;
    [EBoardKeyList.ComposingFace]: boolean;
    [EBoardKeyList.UpSealed]: boolean;
    [EBoardKeyList.DownSealed]: boolean;
    [EBoardKeyList.LeftSealed]: boolean;
    [EBoardKeyList.RightSealed]: boolean;
    upDrill: boolean;
    downDrill: boolean;
    leftDrill: boolean;
    rightDrill: boolean;
    useZhengFanDrill: boolean;
    useChaidan: boolean;
    [EBoardKeyList.KnifeRad]: boolean;
}
export interface ICompareType {
    [EBoardKeyList.Height]: ECompareType;
    [EBoardKeyList.Width]: ECompareType;
    [EBoardKeyList.Thick]: ECompareType;
    [EBoardKeyList.RoomName]: ECompareType;
    [EBoardKeyList.CabinetName]: ECompareType;
    brName: ECompareType;
    [EBoardKeyList.BrMat]: ECompareType;
    [EBoardKeyList.Mat]: ECompareType;
    [EBoardKeyList.Color]: ECompareType;
    [EBoardKeyList.Lines]: ECompareType;
    [EBoardKeyList.BigHole]: ECompareType;
    [EBoardKeyList.DrillType]: ECompareType;
    [EBoardKeyList.ComposingFace]: ECompareType;
    [EBoardKeyList.KnifeRad]: ECompareType;
}
export interface ITolerance {
    [EBoardKeyList.Height]: string;
    [EBoardKeyList.Width]: string;
    [EBoardKeyList.Thick]: string;
    [EBoardKeyList.KnifeRad]: string;
}
export declare enum EFindType {
    Find = 0,
    Modify = 1,
    FindMaxSize = 2,
    FindSplite = 3,
    GetOption = 4,
    RemoveModeling = 5,
    RemoveSpecialShape = 6,
    RemoveModelingAndSpecial = 7,
    ModifyHardware = 8,
    FindMinSize = 9
}
export declare enum ECompareType {
    Equal = "=",
    UnEqual = "!=",
    Greater = ">=",
    Less = "<=",
    Include = "//"
}
//# sourceMappingURL=BoardFindInterface.d.ts.map